<?php

use MyApp\Core\Model;

include 'App.php';

$app = new App(false);

$modelsDir = $app->config->getSrcDir() . '/' . $app->config->getClassDirs()['Model\\'];

$files = scandir($modelsDir);
foreach ($files as $file) {
    $className = strstr($file, '.php', true);
    $fileName  = $modelsDir . $file;

    if (is_file($fileName) && false !== $className) {
        $modelName = 'MyApp\\Model\\' . $className;
        /** @var Model $model */
        $model = new $modelName();

        if ($model instanceof Model) {
            if ('db' === $model->getModelType()) {
                $table_map = $model->getInternalTableMap();

                $fields = [];
                foreach ($table_map['types'] as $field => $options) {
                    $fields[] = "`$field` $options";
                }
                $fields = implode(',', $fields);

                $app->db->exec("CREATE TABLE `{$table_map['name']}` ($fields);");
            }
        }
    }
}
