<?php

namespace MyApp\Core;

class Config
{
    /**
     * @var string
     */
    private $dbName;
    /**
     * @var int
     */
    private $dbPort;
    /**
     * @var string
     */
    private $dbUser;
    /**
     * @var string
     */
    private $dbPassword;
    /**
     * @var array
     */
    private $classDirs;
    /**
     * @var string
     */
    private $srcDir;
    /**
     * @var string
     */
    private $controllersDir;
    /**
     * @var string
     */
    private $controllersNamespace;
    /**
     * @var string
     */
    private $siteName;

    /**
     * @return string
     */
    public function getDbName(): string
    {
        return $this->dbName;
    }

    /**
     * @param string $dbName
     *
     * @return Config
     */
    public function setDbName(string $dbName)
    {
        $this->dbName = $dbName;

        return $this;
    }

    /**
     * @return int
     */
    public function getDbPort(): int
    {
        return $this->dbPort;
    }

    /**
     * @param int $dbPort
     *
     * @return Config
     */
    public function setDbPort(int $dbPort)
    {
        $this->dbPort = $dbPort;

        return $this;
    }

    /**
     * @return string
     */
    public function getDbUser(): string
    {
        return $this->dbUser;
    }

    /**
     * @param string $dbUser
     *
     * @return Config
     */
    public function setDbUser(string $dbUser)
    {
        $this->dbUser = $dbUser;

        return $this;
    }

    /**
     * @return string
     */
    public function getDbPassword(): string
    {
        return $this->dbPassword;
    }

    /**
     * @param string $dbPassword
     *
     * @return Config
     */
    public function setDbPassword(string $dbPassword)
    {
        $this->dbPassword = $dbPassword;

        return $this;
    }

    /**
     * @param string $timezone
     *
     * @return $this
     */
    public function setTimezone(string $timezone)
    {
        date_default_timezone_set($timezone);

        return $this;
    }

    /**
     * @return array
     */
    public function getClassDirs(): array
    {
        return $this->classDirs;
    }

    /**
     * @param array $classDirs
     *
     * @return Config
     */
    public function setClassDirs(array $classDirs)
    {
        $this->classDirs = $classDirs;

        return $this;
    }

    /**
     * @return string
     */
    public function getSrcDir(): string
    {
        return $this->srcDir;
    }

    /**
     * @param string $srcDir
     *
     * @return Config
     */
    public function setSrcDir(string $srcDir)
    {
        $this->srcDir = $srcDir;

        return $this;
    }

    /**
     * @return string
     */
    public function getControllersDir(): string
    {
        return $this->controllersDir;
    }

    /**
     * @param string $controllersDir
     *
     * @return Config
     */
    public function setControllersDir(string $controllersDir)
    {
        $this->controllersDir = $controllersDir;

        return $this;
    }

    /**
     * @return string
     */
    public function getControllersNamespace(): string
    {
        return $this->controllersNamespace;
    }

    /**
     * @param string $controllersNamespace
     *
     * @return Config
     */
    public function setControllersNamespace(string $controllersNamespace)
    {
        $this->controllersNamespace = $controllersNamespace;

        return $this;
    }

    /**
     * @return string
     */
    public function getSiteName(): string
    {
        return $this->siteName;
    }

    /**
     * @param string $siteName
     *
     * @return Config
     */
    public function setSiteName(string $siteName)
    {
        $this->siteName = $siteName;

        return $this;
    }
}
