<?php


namespace MyApp\Model;

use MyApp\Core\Model;

/**
 * Class GroupsModel
 *
 * @TableName = "groups"
 *
 * @package MyApp\Model
 */
class GroupsModel extends Model
{
    /**
     * @ColumnName = "id"
     * @ColumnOption = "id"
     * @ColumnType = "int unsigned auto_increment primary key"
     *
     * @var int
     */
    private $id;
    /**
     * @ColumnName = "name"
     * @ColumnType = "varchar(255) null"
     *
     * @var string
     */
    private $name;
    /**
     * @ColumnName = "parent_id"
     * @ColumnType = "int unsigned null"
     *
     * @var int
     */
    private $parent;

    /**
     * @return int
     */
    public function getId(): ?int
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @param string $name
     *
     * @return GroupsModel
     */
    public function setName(string $name): self
    {
        $this->name = $name;
        return $this;
    }

    /**
     * @param int $parent
     *
     * @return GroupsModel
     */
    public function setParent(int $parent): self
    {
        $this->parent = $parent;
        return $this;
    }
}